import { users } from "~/drizzle/schema";
import { lucia } from "~/lib/auth";
import { ExtractDataTypes, GetColumns } from "./db";

declare module "lucia" {
  interface Register {
    Lucia: typeof lucia;
    DatabaseUserAttributes: DatabaseUserAttributes;
  }
}

interface DatabaseUserAttributes
  extends ExtractDataTypes<GetColumns<typeof users>> {}
